<?php
/**
 * Font Family Options
 *
 * @package Magazine_Power
 */

// Fetch font family keys.
$font_keys = magazine_power_get_font_family_theme_settings_options();

if ( empty( $font_keys ) ) {
	return;
}

// Font Family Section.
$wp_customize->add_section(
	'section_font_family',
	array(
		'title'      => esc_html__( 'Font Family Options', 'magazine-power-pro' ),
		'priority'   => 190,
		'capability' => 'edit_theme_options',
		'panel'      => 'theme_option_panel',
	)
);

foreach ( $font_keys as $key => $font ) {
	$wp_customize->add_setting(
		"theme_options[$key]",
		array(
			'default'           => esc_attr( $font['default'] ),
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'magazine_power_sanitize_select',
		)
	);
	$wp_customize->add_control(
		"theme_options[$key]",
		array(
			'label'    => esc_html( $font['label'] ),
			'section'  => 'section_font_family',
			'type'     => 'select',
			'choices'  => magazine_power_get_customizer_font_options(),
			'priority' => 100,
		)
	);
}

// Setting - reset_font_settings.
$wp_customize->add_setting(
	'theme_options[reset_font_settings]',
	array(
		'default'           => false,
		'capability'        => 'edit_theme_options',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'magazine_power_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	'theme_options[reset_font_settings]',
	array(
		'label'       => esc_html__( 'Reset Font Settings', 'magazine-power-pro' ),
		'description' => esc_html__( 'Refresh the page after save to view full effects.', 'magazine-power-pro' ),
		'section'     => 'section_font_family',
		'type'        => 'checkbox',
		'priority'    => 110,
	)
);
